﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;

namespace GFramework.Base
{
    public class Fonts
    {
        public static SpriteFont Arial { get; private set;}
        public static SpriteFont Verdana { get; private set; }
        public static SpriteFont Tahoma { get; private set; }
        public static SpriteFont TimesNewRoman { get; private set; }

        public static void LoadContent()
        {
            var content = GameManager.Instance.Game.Content;
            Arial = content.Load<SpriteFont>(@"Fonts\Arial");
            Verdana = content.Load<SpriteFont>(@"Fonts\Verdana");
            Tahoma = content.Load<SpriteFont>(@"Fonts\Tahoma");
            TimesNewRoman = content.Load<SpriteFont>(@"Fonts\Times New Roman");
        }
    }
}
